package com.webchat.common.enums.messagequeue;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;

@Getter
@NoArgsConstructor
@AllArgsConstructor
public enum MessageBroadChannelEnum {


    QUEUE_CHAT_MESSAGE("queue_chat_message", "聊天消息队列"),

    QUEUE_ARTICLE_PUSH_MESSAGE("queue_article_push_message", "公众号推文队列"),

    QUEUE_CHAT_NOTIFY("queue_chat_notify", "聊天消息通知"),

    QUEUE_VIDEO_SDP("queue_video_sdp", "音视频通话信令"),

    QUEUE_GROUP_VIDEO_CALL("queue_group_video_call", "群聊多人音视频呼叫频道"),

    QUEUE_GROUP_VIDEO_USER_CHANGE("queue_group_video_user_change", "群聊多人音视频用户上/下线频道"),

    QUEUE_CHAT_ROBOT("queue_chat_robot", "机器人对话消息队列"),

    ;

    private String channel;

    private String channelDesc;

}
